Bug 216774 - clusvcadm relocating virtual ip fails without complaining
clusvcadm relocating virtual ip fails without complaining
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 17:32 EST by Robert Peterson
Modified: 2009-04-16 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:45:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2006-11-21 17:32:56 EST
Description of problem:
When I tried to relocate my virtual IP from node roth-02 to
roth-01, it responded with "success" but it didn't do it.
I believe there was a problem relocating the service, in which
case it should have given an error and said "failed" or else
started it elsewhere and told me where it started the service
like it did for RHEL3.

It would also be nice if it told me why it couldn't relocate the
service, even if it's something like "service is already running" or
something.

One could also argue that rgmanager should recognize that the service
is already running elsewhere, assume the user wants to move the vip
and do the necessary stop/start sequence, or something.

Version-Release number of selected component (if applicable):
Recreated at RHEL4U4, but I want to make sure it gets fixed in RHEL5.

How reproducible:
Always.

Steps to Reproduce:
[root@roth-02 /]# clusvcadm -e 10.15.84.250 -m roth-01
  
Actual results:
Member roth-01 trying to enable 10.15.84.250...success
[root@roth-02 /]# ip addr show | grep 250
    inet 10.15.84.250/32 scope global eth1
(The service did not move and it still said "success" which misleads
the user).

Expected results:
Member roth-01 trying to enable 10.15.84.250...error
Service 10.15.84.250 could not be started on roth-01.
Reason: Service is already running on roth-02 (or some such)

Additional info:
Lon said he used to have a patch for this problem.
Comment 1 Lon Hohberger 2006-12-05 10:58:49 EST
Ok...

* The patch I had was in the case that you enabled a non-running service on a
node and the node failed to start it.
* If I read this correctly, you're using the '-e' flag to relocate an
already-running service, which won't work; try '-r' ?

I'll fix this today either way.  '-e' will become '-r' if '-[nm]' is specified
and the service is already running.

Comment 2 Lon Hohberger 2006-12-13 13:34:06 EST
ended up changing semantics to be:

-e reports an error (but returns success) if the service is already running.

Comment 3 Lon Hohberger 2006-12-13 13:40:08 EST
Patches in CVS.
Comment 4 RHEL Product and Program Management 2007-02-07 19:45:32 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.
Comment 5 Nate Straz 2007-12-13 12:18:41 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.